> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.endole.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# VAT Number

Retrieve the registered VAT number for a company, including primary VAT registration numbers, business names, addresses, and secondary matched records.

<Callout icon="coins" iconType="regular">
  **Cost:** 5 credits per request
</Callout>

## Endpoint

```http theme={null}
GET https://api.endole.co.uk/company/{company_number}/vat-number
```

## Parameters

| Parameter | Required | Description |
| - | - | - |
| company\_number | Yes | The 8-character official UK Companies House registration number. |

## Example Request

```shellscript theme={null}
curl -X GET "https://api.endole.co.uk/company/08390872/vat-number" \
  -H "Authorization: Bearer 33e2ea54ca6d9ce3f70b24a4e13d9cf9a451c51f1f2140d21e8e2131cd37fcc"
```

## Example Response

```json theme={null}
{
  "status": "success",
  "company_number": "08390872",
  "data": {
    "vat_number": {
      "vat_number": "GB155857866",
      "company_name": "WELBECK HOTEL LTD",
      "company_address": "38 Castle Drive, Ilford, IG4 5AE",
      "additional_matches": [
        {
          "vat_number": "GB000001388",
          "company_name": "WELBECK HOTEL LIMITED",
          "company_address": "THE WELBECK HOTEL, MONA DRIVE, DOUGLAS, ISLE OF MAN, IM2 4LP, GB"
        }
      ]
    }
  }
}
```
